/* Loading Animation */
/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 200px;
    bottom: 0;
    right: 0;
  }

  /* Transparent Overlay */
  .loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
  }

  /* :not(:required) hides these rules from IE9 and below */
  .loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
  }

  .loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
  }

  /* Animation */

  @-webkit-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-moz-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-o-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
/* End Loading Animation */

/* filde upload */
.box__dragndrop,
.box__uploading,
.box__success,
.box__error {
  display: none;
}

.bg_login{
  /* background-image: url("../img/vira_pkl.png"); */
  min-height: 380px;

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.bg-blue{
  background-color: rgb(40, 191, 218);
}
.navbar-min-height{
  min-height: 100px;
}

.flexbox-container{
  display: flex;

}
.content1{
  flex: 2;
}
.content2{
  flex: 2;
}
.content3{
  flex: 1;
}
.title-cetak{
  font-size: 40px;
  margin: 0;

}
.cetak-margin{
  margin: 10px;
}
.logo-login{
  /* min-height: 200px; */
  width: 30%;
  padding: 15px;
  background-color:rgba(255,255,255,0.9);
  border-radius: 5px;



}
h1.reset{
  margin: 0;
}
.height-custome{
  height: 100vh;
}

.overlay1{
    position: absolute;
    width: 100%;
    background-color: black;
    height: 100%;
    opacity: 0.7;
    z-index: 1;
}


.overlay2{
    /* position: absolute; */
    z-index: 5;
}
.text-orange{
    color: orange;
}
.title-h3-custom{
    font-size: 16px;
}
.title-h2-custom{
    font-size: 18px;
}
.title-h1-custom{
    font-size: 20px;
}
.bg-ft{
    color: #FFF;
    background-color: orange;
}

.btn-ft-custom {
    font-family: "Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    color: rgb(56, 55, 55);
    background-color: orange;
    border-color: orange;
    border-radius: 5px;
    font-weight: bold;
    letter-spacing: 0.05em;
    /* border-radius: 0; */
  }

  .btn-ft-custom:hover,
  .btn-ft-custom:active,
  .btn-ft-custom:focus,
  .btn-ft-custom.active {
    /* let's darken #004E64 a bit for hover effect */
    background: rgb(232, 151, 2);
    color: #f2f2f2;
    border-color: rgb(255, 167, 3);
  }

  .cursor-disabled{
      cursor: not-allowed;
  }
  .cursor-allow{
      cursor: pointer;
  }
  .topbar-fixed{
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
  }
  /* input file custom */
  .new-button-file {
    display: inline-block;
    padding: 2px 6px;
    cursor: pointer;
    border-radius: 4px;
    background-color: #9c27b0;
    font-size: 12px;
    color: #fff;
}
/* input[type="file"] {
  position: absolute;
  z-index: -1;
  top: 6px;
  left: 0;
  font-size: 12px;
  color: rgb(153,153,153);
} */
.button-file-wrap {
  position: relative;
}

.sticky{
    position: fixed;
    top: 60px;
    bottom: 40px;
    /* right: 0; */
    /* left: 80px; */
    /* width: 90%; */
}
input:focus:invalid {
    border: 1px solid #d83d3d;
  }

  input:in-range + label::after {
    content: '*valid';
    color:green;
  }

  input:out-of-range + label::after {
    content: '*out of range!';
    color:red;
  }

  .login-box,
.register-box {
  width: 360px;
}


